# Update_Country

Update a country.

`PUT /v2/countries/{id}`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Countries
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Countries/Update_Country/

## Description

Update a country for a company.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details  -> Company Details -> Company ID. |
| `id` | integer | path | Yes | The id of the country object |

## Request Body

**Schema:** `Country`

Country Model

| Property | Type | Required | Description |
|---|---|---|---|
| `abbreviation` | string | No | The 3 digit abbreviation for the Country. Example: `USA`. |
| `initials` | string | No | The 2 digit initials for the Country. Example: `US`. |
| `name` | string | No | The name of the Country. Example: `United States`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CountryResponse` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `CountryResponse`

Country Response Model

| Property | Type | Required | Description |
|---|---|---|---|
| `abbreviation` | string | No | The 3 digit abbreviation for the Country. Example: `USA`. |
| `id` | integer | No | System Generated Country id Example: `1`. |
| `initials` | string | No | The 2 digit initials for the Country. Example: `US`. |
| `name` | string | No | The name of the Country. Example: `United States`. |

## Example Request

```bash
curl -X PUT "https://sbx-api.certcapture.com/v2/v2/countries/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
  "abbreviation": "USA",
  "initials": "US",
  "name": "United States"
}'
```